<div>
  <p>
    Tako je, odgovor je točan!
    U nastavku možete vidjeti K-tablicu s upisanim rednim brojevima minterma (odnosno maksterma) u ćelijama.
  </p>

  <div style="text-align: center;">
    <canvas id="kmapCanvas"  width="500" height="300" style="border: solid 1px black"></canvas><br>
    <span class="mlSimAuthor">Autori simulacije: Arijana Brlek, Nino Uzelac</span>
  </div>

  <script>
  @#page-include#(util.js)
  @#page-include#(cellStateDrawer.js)
  @#page-include#(cell.js)
  @#page-include#(color.js)
  @#page-include#(group.js)
  @#page-include#(kmap.js)
  </script>

  <script>
    var canvas = document.getElementById("kmapCanvas");
    var context = canvas.getContext("2d");

    var konfiguracija = @#raw-text#(jsinitdata);
    var state = {
      leftVariables: konfiguracija.leftVariables,
      upperVariables: konfiguracija.upperVariables,
      elements: konfiguracija.elems,
      userInput: konfiguracija.userInput,
      showOrder: true
    };

    var map = new KMap(state, context);
    map.selectedImplicants = state.userInput;
    map.draw(canvas, context);
  </script>

</div>
